/* JavaScript for "Content Switching using CSS and JavaScript" */



// execute this script when the page has loaded
window.onload = function() {



 // store the locations of some elements so we don't have to find them all the time
 var switchJS = document.getElementById('switchJS'); // this is the 'switchJS' div.
 var switchJSlis = switchJS.getElementsByTagName('li'); // this is an array of the li elements inside the 'switchJS' div.
 var switchJSdivs = switchJS.getElementsByTagName('div'); // this is an array of the div elements inside the 'switchJS' div.
 

	// loop through each li element
	for (var i=0; i<switchJSlis.length; i++) {



	 // create an onclick function for each li element
	 switchJSlis[i].onclick = function() {
	 
	  // loop through each div element and set the display property of each one to 'none' (to hide it)
	  for (var j=0; j<switchJSdivs.length; j++) {
	   switchJSdivs[j].style.display = 'none';
	  } // close the for loop (stop looping through each div element)
	  
	  // find the div element inside this li element and set its display property to 'block' (to show it)
	  this.getElementsByTagName('div')[0].style.display = 'block';
	 } // close the onclick function



	} // close the for loop (stop looping through each li element)



} // close the window.onload function